import Vue from 'vue';
import App from './App';
import dayjs from './utils/dayjs.min.js'
import store from './store/index.js'
import ZAudio from '@/components/uniapp-zaudio/index.js'
Vue.config.productionTip = false;

let zaudio = new ZAudio({
	continuePlay: false, //续播
	autoPlay: false, // 自动播放 部分浏览器不支持
})

Vue.prototype.$zaudio = zaudio
Vue.prototype.$dayjs = dayjs;
Vue.prototype.$store = store;

import common from 'utils/common.js'
Vue.prototype.$noMultipleClicks = common.noMultipleClicks;
 

// 引入全局uView
import uView from 'uview-ui'
Vue.use(uView);



import http from '@/utils/http.js'

Vue.use(http, app)



App.mpType = 'app';

const app = new Vue({
    ...App,
	store
});
app.$mount();
